

<div class="row">
    <div class="col-xs-12">
        <p class="payment_module">
            <a href="javscript:void(0);" class="bankwire open" id="link_centralpay">{l s='Credit card payment' mod='centralpay'}</a>
        </p>
    </div>
</div>

<div id="cpay-payment" class="open">

    <hr/>

    {if $mode_test == 1}
        <p class="alert alert-warning">{l s='You are in test mode.'  mod='centralpay'}</p>
    {/if}

    <div class="row" id="div_centralpay">

        {* Cartes enregistrées *}
        {if $cards|@count>0}
            <div class="col-md-5">
                <form action="{$link->getModuleLink('centralpay','cardprocess')|escape:'htmlall':'utf-8'}" method="POST"
                      id="card-form" class="box">

                    <h3 class="page-subheading">
                        {l s='Select your card' mod='centralpay'}
                        <span class="img_cards"><span class="lock pt"></span></span>
                    </h3>

                    <div class="form-group">
                        <select name="cardId" class="form-control" style="width:250px">
                            {foreach from=$cards key=k item=v}
                                <option value="{$v.cardId}">
                                    {$v.first6|substr:0:1}XXX-XXXX-XXXX-{$v.last4} ({$v.commercialBrand}{l s=':' mod='centralpay'}
                                    {$v.expirationMonth}/{$v.expirationYear})
                                </option>
                            {/foreach}
                        </select>
                        <input type="hidden" name="from" value="{$smarty.server.HTTP_HOST}{$smarty.server.REQUEST_URI}"/>
                    </div>
                    {if $forcecvc == 1}
                    <div class="row">
                        <div class="col-xs-6 form-group">
                            <label class="cpay-sronly" for="cvv3">{l s='CVC' mod='centralpay'}</label>
                            <div class="input-group cpay-cvc-wrapper">
                                <div class="input-group-addon"><i class="fa fa-lock"></i></div>
                                    <input type="text" class="form-control cvc" id="cvv3" name="customerValidationValue"
                                           pattern="{literal}[0-9]{3,4}{/literal}" maxlength="4"
                                           autocomplete="off" size="4" required
                                           placeholder="{l s='CVC' mod='centralpay'}"/>
                                <a href="javascript:void(0);" class="input-group-addon help" data-hasqtip="0"
                                   oldtitle="{l s='3 digits on the back of your card' mod='centralpay'}"
                                   title="{l s='3 digits on the back of your card' mod='centralpay'}"
                                   aria-describedby="qtip-0">?</a>
                            </div>
                        </div>
                    </div>
                    {/if}
                    <br/>
                    <div class="submit">
                        <button type="submit" class="button btn btn-default button-medium">
                            <span>{l s='Buy now' mod='centralpay'}<i class="icon-chevron-right right"></i></span>
                        </button>
                    </div>
                </form>
            </div>
            <div class="col-md-2" style="text-align: center;">
                <h2>{l s='or' mod='centralpay'}</h2>
            </div>
        {/if}

        {* Renseignement des informations de carte bancaire *}
        {if $cards|@count>0}
            {assign var="cpay_new_card_class" value="col-md-5"}
        {else}
            {assign var="cpay_new_card_class" value="col-md-6 col-md-push-3"}
        {/if}
        <div class="{$cpay_new_card_class}">

            <form action="{$link->getModuleLink('centralpay','transactionprocess')|escape:'htmlall':'utf-8'}" method="POST"
                  id="payment-form" data-centralpay="form" class="box">

                <div class="payment-errors" data-centralpay="errors"></div>
                <input type="hidden" name="currency" value="{$currencyCard}"/>
                <input type="hidden" name="amount" value="{$amount}"/>
                <input type="hidden" name="lang" value="{$language}"/>
                <input type="hidden" name="merchantTransactionId" value="{$idCard}"/>
                <input type="hidden" name="order[country]" value="{$language}"/>
                <input type="hidden" name="order[firstName]" value="{$lastname}"/>
                <input type="hidden" name="order[lastName]" value="{$firstname}"/>
                <input type="hidden" name="from" value="{$smarty.server.HTTP_HOST}{$smarty.server.REQUEST_URI}"/>

                <h3 class="page-subheading">
                    {if $cards|@count>0}
                        {l s='New card' mod='centralpay'}
                    {else}
                        {l s='Card information' mod='centralpay'}
                    {/if}
                    <span class="img_cards">
                        <span class="visa pt"></span>
                        <span class="cb pt"></span>
                        <span class="mastercard pt"></span>
                        <span class="visa_electron pt"></span>
                        <span class="maestro pt"></span>
                   </span>
                </h3>
                <div class="form-group">
                    <label class="cpay-sronly" for="name">{l s='Cardholder name' mod='centralpay'}</label>
                    <div class="input-group">
                        <div class="input-group-addon"><i class="fa fa-user"></i></div>
                        <input type="text" class="form-control" id="name" data-centralpay="card[holderName]"
                               placeholder="{l s='Cardholder name' mod='centralpay'}" value="{$lastname} {$firstname}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="cpay-sronly" for="email">{l s='Email' mod='centralpay'}</label>
                    <div class="input-group">
                        <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
                        <input type="email" class="form-control" id="email" data-centralpay="card[holderEmail]"
                               placeholder="{l s='Email' mod='centralpay'}" value="{$email}" data-validate="isEmail"/>
                    </div>
                </div>
                <div class="form-group" style="position: relative;" id="num_carte">
                    <label class="cpay-sronly" for="num">{l s='Card Number' mod='centralpay'}</label>
                    <div class="input-group">
                        <div class="input-group-addon"><i class="fa fa-credit-card-alt"></i></div>
                        <input type="text" class="form-control" id="num" size="20" data-centralpay="card[number]"

                               data-minlength="12" maxlength="20"
                               placeholder="{l s='Card Number' mod='centralpay'}" autocomplete="off"/>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-6 form-group">
                        <label class="cpay-sronly" for="month">{l s='Expiration (MM/YY)' mod='centralpay'}</label>
                        <div class="input-group" id="cpay-exp-wrapper">
                            <div class="input-group-addon"><i class="fa fa-calendar-o"></i></div>
                            <input type="text" class="form-control mois" id="month" data-minlength="2" value=""
                                   maxlength="2" pattern="{literal}[0-9]{2}{/literal}" autocomplete="off"
                                   size="2" data-centralpay="card[expirationMonth]"
                                   placeholder="{l s='MM' mod='centralpay'}"/>
                            <span> / </span>
                            <input type="text" class="form-control annee" id="year" data-minlength="2" value=""
                                   maxlength="2" pattern="{literal}[0-9]{2}{/literal}" autocomplete="off"
                                   size="2" data-centralpay="card[expirationYear]"
                                   placeholder="{l s='YY' mod='centralpay'}"/>
                        </div>
                    </div>
                    <div class="col-xs-6 form-group">
                        <label class="cpay-sronly" for="cvv2">{l s='CVC' mod='centralpay'}</label>
                        <div class="input-group cpay-cvc-wrapper" id="div_cvv">
                            <div class="input-group-addon"><i class="fa fa-lock"></i></div>
                            <input type="text" class="form-control cvc" id="cvv2" name="CVV"
                                   pattern="{literal}[0-9]{3,4}{/literal}" maxlength="4"
                                   autocomplete="off" size="4" data-centralpay="card[cvc]"
                                   placeholder="{l s='CVC' mod='centralpay'}"/>
                            <a href="javascript:void(0);" class="input-group-addon help" data-hasqtip="0"
                               oldtitle="{l s='3 digits on the back of your card' mod='centralpay'}"
                               title="{l s='3 digits on the back of your card' mod='centralpay'}"
                               aria-describedby="qtip-0">?</a>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="saveCard">{l s='Save card' mod='centralpay'}  </label>
                    <input type="checkbox" class="form-control" name="saveCard" id="saveCard" value="1" />
                </div>
                <div class="submit">
                    <button type="submit" id="btn-submit" class="button btn btn-default button-medium">
                        <span>{l s='Buy now' mod='centralpay'}<i class="icon-chevron-right right"></i></span>
                    </button>
                    <div class="cpay-mention">
                        {l s='Secure payment by' mod='centralpay'}
                        <a href="https://www.centralpay.eu/" target="_blank"
                           oldtitle="{l s='CentralPay is a secure payment solution, PCI-DSS certified.' mod='centralpay'}"
                           title="{l s='CentralPay is a secure payment solution, PCI-DSS certified.' mod='centralpay'}">CentralPay</a>
                    </div>
                </div>
            </form>
            <div id="qtip-0" class="qtip qtip-default  qtip-pos-bc" tracking="false" role="alert" aria-live="polite"
                 aria-atomic="false" aria-describedby="qtip-0-content" aria-hidden="true" data-qtip-id="0"
                 style="z-index: 15001;">
                <div class="qtip-content" id="qtip-0-content" aria-atomic="true">
                    {l s='3 digits on the back of your card' mod='centralpay'}
                </div>
            </div>
        </div>
    </div>

</div>