{capture name=path}
    <!--<a href="{$link->getPageLink('my-account', true)|escape:'html':'UTF-8'}">
        {l s='Your shopping cart'}
    </a>-->
    <a href="#">{l s='Your shopping cart'}</a>
    <span class="navigation-pipe">{$navigationPipe}</span>
    <span class="navigation_page">{l s='Confirmation code' mod='centralpay'}</span>
{/capture}
<div class="row">
    <div class="col-md-7">
        {if $provider == 'EMAIL'}
            {l s='You have received a confirmation code on your email %s.[1]Please submit it on the form below to validate your payment.' sprintf=[$email] tags=['<br>']}<br><br>
        {/if}
        {if $provider == 'SMS'}
            {l s='You have received a confirmation code on your mobile divice %s.[1]Please submit it on the form below to validate your payment.' sprintf=[$phone] tags=['<br>']}<br><br>
        {/if}
        {if $provider == 'EMAIL_THEN_SMS'}
        {l s='You have received a confirmation code on your email %s (or on you mobile divice %s).[1]Please submit it on the form below to validate your payment.' sprintf=[$email,$phone] tags=['<br>']}<br><br>
        {/if}
        {if $provider == 'SMS_THEN_EMAIL'}
            {l s='You have received a confirmation code on your mobile device %s (or on you email %s).[1]Please submit it on the form below to validate your payment.' sprintf=[$phone,$email] tags=['<br>']}<br><br>
        {/if}

    </div>
</div>
<div class="row" id="div_centralpay">
    <div class="col-md-7">
        <form action="{$link->getModuleLink('centralpay','otpprocess')|escape:'htmlall':'utf-8'}" method="POST"
              id="card-form" class="box">
            <div class="form-group">
                <label class="cpay-sronly" for="name">{l s='Confirmation code' mod='centralpay'}</label>
                <div class="input-group">
                    <div class="input-group-addon"><i class="fa fa-lock"></i></div>
                    <input type="text" class="form-control" id="otp" name="otp"
                           placeholder="{l s='Confirmation code' mod='centralpay'}" value="" required/>
                    <input type="hidden" name="PaRes" value="{$PaRes}" />
                </div>
            </div>
            <div class="submit">
                <button type="submit" id="btn-submit" class="button btn btn-default button-medium">
                    <span>{l s='Send code' mod='centralpay'}<i class="icon-chevron-right right"></i></span>
                </button>
            </div>
        </form>
    </div>


</div>